apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  name: amq-broker
  application: amq-broker-app
spec:
  deploymentPlan:
    size: 3
    image: placeholder
    requireLogin: false
    persistenceEnabled: true 
    journalType: nio
    messageMigration: true
    resources:
      limits:
        cpu: 999m
        memory: 4096Mi
      requests:
        cpu: 450m 
        memory: 512Mi
    storage:
      size: "4Gi"
    jolokiaAgentEnabled: false
    managementRBACEnabled: true
  adminUser: quickuser
  adminPassword: quick123+
  brokerProperties:
    - "clusterConfigurations.my-cluster.producerWindowSize=-1"
  addressSessting:
    applyRule: merge_all
    addressSessting:
    - match: '#'
      autoCreateJmsQueues: true
      autoCreateQueues: true
      autoCreateAddresses: true
      redistributionDelay: 0
  console:
    expose: true
  acceptors:
    - name: artemis
      protocols: CORE, AMQP
      port: 61617
      sslEnabled: true
      sslSecret: amq-tls-secret
      enabledProtocols: TLSv1,TLSv1.1,TLSv1.2
#      needClientAuth: true
#      wantClientAuth: true
      verifyHost: false
      sslProvider: JDK
#      sniHost: localhost
      expose: true
      anycastPrefix: jms.queue.
      multicastPrefix: jms.topic.
    - name: artemis-core
      protocols: CORE,AMQP
      port: 5445 
      sslEnabled: false
      expose: false
      anycastPrefix: jms.queue.
      multicastPrefix: jms.topic.
  connectors:
    - name: connector0
      host: localhost
      port: 22222
      sslEnabled: false
      enabledProtocols: TLSv1,TLSv1.1,TLSv1.2
      needClientAuth: true
      wantClientAuth: true
      verifyHost: true
      sslProvider: JDK
      sniHost: localhost
      expose: true
  upgrades:
      enabled: false
      minor: false

